package com.lantone.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description:数据权限过滤注解
 * @Author songxl
 * @Date 2021/8/25
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataAuthFilter {
    /**
     * 自身数据范围的别名(in)
     */
    String self() default "";

    /**
     * 用户表数据范围的别名(in)
     */
    String usersAlias() default "";
    /**
     * 医生数据范围的别名(in)
     */
    String doctorsAlias() default "";

    /**
     * 科室表数据范围的别名(in)
     */
    String deptsAlias() default "";

    /**
     * /**
     * 组织表数据范围的别名(in)
     */
    String hospitalsAlias() default "";

}
